Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in PHP
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in PHP
ID: FEDORA-2012-9490
Distribution: Fedora
Plattformen: Fedora 17
Datum: So, 1. Juli 2012, 10:04
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1823
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2143
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2311
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2329
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2386
Applikationen: PHP

Originalnachricht

Name        : php
Product : Fedora 17
Version : 5.4.4
Release : 1.fc17
URL : http://www.php.net/
Summary : PHP scripting language for creating dynamic web sites
Description :
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated web pages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts.

The php package contains the module which adds support for the PHP
language to Apache HTTP Server.

-------------------------------------------------------------------------------
-
Update Information:

The PHP development team would like to announce the immediate availability of
PHP 5.4.4. All users of PHP are encouraged to upgrade to PHP 5.4.4.

The release fixes multiple security issues: A weakness in the DES
implementation of crypt and a heap overflow issue in the phar extension.

PHP 5.4.4 fixes over 30 bugs. Please note that the use of php://fd streams is
now restricted to the CLI SAPI

Changelog: http://www.php.net/ChangeLog-5.php#5.4.4

-------------------------------------------------------------------------------
-
ChangeLog:

* Thu Jun 14 2012 Remi Collet <remi@fedoraproject.org> 5.4.4-1
- update to 5.4.4 finale
- use /usr/lib/tmpfiles.d instead of /etc/tmpfiles.d
- use /run/php-fpm instead of /var/run/php-fpm
* Wed May 9 2012 Remi Collet <remi@fedoraproject.org> 5.4.3-1
- update to 5.4.3 (CVE-2012-2311, CVE-2012-2329)
* Thu May 3 2012 Remi Collet <remi@fedoraproject.org> 5.4.2-1
- update to 5.4.2 (CVE-2012-1823)
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #816956 - CVE-2012-2143 BSD crypt(): DES encrypted password
weakness
https://bugzilla.redhat.com/show_bug.cgi?id=816956
[ 2 ] Bug #823594 - CVE-2012-2386 php: Integer overflow leading to
heap-buffer overflow in the Phar extension
https://bugzilla.redhat.com/show_bug.cgi?id=823594
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update php' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung